# how long to wait for ABC's output in seconds
# standard value
#set timeout 10
# infinity
set timeout -1

# maximum length of string returned by expectPrompt() - should be set to maximal
# size of ABC's output

# expect default
#set abc::expect_buffer_size 2000
set abc::expect_buffer_size 100000

# paths, filenames

# ABC executable directory
set abc::dir {/usr/local/bin}

# an absolute path to the ABC executable
set abc::exe {abc}	

# ABC initialization sequence: pathnames are relative to abc::dir
switch $tcl_platform(platform) {
windows  { 
        set abc::initList {..\\..\\abc.rc ..\\abc.rc abc.rc} 
    }
unix     {
        set abc::initList {/usr/local/lib/abc/abc.rc}
        catch {lappend abc::initList [file join $env(HOME) ".abc.rc"]}
        lappend abc::initList ".abc.rc"
    }
}
